Subject: [clisp-list] def-call-in problem: crash confirmation

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Wed Apr 3 05:30:36 2002

Peter,

> Has anyone tried it?
I can confirm the core dump using MS-VC6 on 2.28.
(new)lisp.run -M (old)lispinit.mem crashes.
(new)lisp.run crashes.

I obtain -- quite similar, although Solaris/Sparc is very different from Intel:
*** - The value of *TERMINAL-IO* was not a stream: #<CLOSED TERMINAL-STREAM>. It has been changed to #<IO TERMINAL-STREAM>.
*** - handle_fault error2 ! address = 0xFFFFFFF8 not in [0x6690C860,0x66930000) ! SIGSEGV cannot be cured. Fault address = 0xFFFFFFF8.
The instruction at 0x0041955e points to 0xfffffff8. Could not read from that address.

Peter Wood wrote:
> I get the same result with 2.27, both with my module, and the test
> described earlier: the *terminal-io* message followed by a segfault:
> 
> *** - The value of *TERMINAL-IO* was not a stream: #<CLOSED 
> TERMINAL-STREAM>. It has been changed to #<IO TERMINAL-STREAM>.
> *** - handle_fault error2 ! address = 0xFFFFFFF8 not in 
> [0x68084260,0x680A5000) !
> SIGSEGV cannot be cured. Fault address = 0xFFFFFFF8.
> /usr/bin/clisp-link: line 2: 18450 Segmentation fault      
> (core dumped) "$@"